Bug 1285024 - Add an ovirt-releaseXY-host-node subpackage for image dependencies
Add an ovirt-releaseXY-host-node subpackage for image dependencies
Status: CLOSED UPSTREAM
Product: ovirt-release
Classification: oVirt
Component: General (Show other bugs)
master-002
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ovirt-4.0.0-alpha
: ---
Assigned To: Ryan Barry
:
Depends On:
Blocks: ovirt-node-ng
  Show dependency treegraph
 
Reported: 2015-11-24 12:06 EST by Fabian Deutsch
Modified: 2016-03-04 04:10 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-04 04:10:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Node
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fdeutsch: ovirt‑4.0.0?
rule-engine: planning_ack+
dfediuck: devel_ack+
fdeutsch: testing_ack?


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 50227 master MERGED Add host-node subpackage 2015-12-17 11:43 EST

  None (edit)
Description Fabian Deutsch 2015-11-24 12:06:47 EST
Description of problem:
In the classic Node we kept many of the dependencies in the kickstart files.
This is not very scalable.
The better way is to express the dependencies of the image as dependencies of an rpm installed within the image.

The idea of this bug is to create an ovirt-releaseXY-host-node subpackage, which has the mandatory dependencies, and also includes some necessary files for integration (i.e. /etc/os.release.d/50-ovirt-node-host).

See [1] for the current dependencies

[1] https://gerrit.ovirt.org/gitweb?p=ovirt-appliance.git;a=blob;f=node-appliance/ovirt-node-appliance.ks;h=f3e3f6deb60c333ff4d247024f437289ce703a8b;hb=HEAD#l36-53
Comment 1 Fabian Deutsch 2015-11-24 12:10:27 EST
The minimum dependencies are:

  40 dracut-config-generic
  41 
  42 # EFI support
  43 grub2-efi
  44 shim
  45 efibootmgr

  52 # For image based updates
  53 imgbased


Once this ovirt-releaseXY-host-node package exists, it should be the only package given in the packages section of the Node kickstart
Comment 2 Fabian Deutsch 2015-12-04 11:18:52 EST
The /etc/os.release.d/ contents should be similar to 

echo "VARIANT=\"Cloud Edition\"" >> $RPM_BUILD_ROOT/usr/lib/os.release.d/os-release-cloud
echo "VARIANT_ID=cloud" >> $RPM_BUILD_ROOT/usr/lib/os.release.d/os-release-cloud
sed -i -e "s|(%{release_name})|(Cloud Edition)|g" $RPM_BUILD_ROOT/usr/lib/os.release.d/os-release-cloud

from

http://pkgs.fedoraproject.org/cgit/fedora-release.git/tree/fedora-release.spec#n117

Note You need to log in before you can comment on or make changes to this bug.